Retrieve a list

Retrieve a list

Returns a list of sectors.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/sectors

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-sectors.read

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Unique identifier for the sector.
name.default string Yes Yes Default name of the sector.
name.translations object No Yes Translated names for supported languages.

Filters

This endpoint does not support filters. It always returns all sectors. A request that includes the filter query parameter is rejected with 400 Bad Request.

To retrieve one sector, use Retrieve a sector.

External references

This endpoint does not support external references.

Pagination

The endpoint supports continuation-token-based pagination. When more results are available, the response includes a nextLink containing the continuationToken query parameter for the next page.

Error responses

Status Condition
400 Unsupported query parameter, such as filter
401 Missing or invalid access token, or insufficient scope
414 Request URI too long (continuation token)

Examples

Retrieve all sectors

Example to retrieve all sectors that have been configured in Protime:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/sectors